cURL
curl --request GET \ --url https://api.stablepay.global/v2/users/{userId} \ --header 'Authorization: Bearer <token>'
Get user details with KYC status
Documentation IndexFetch the complete documentation index at: https://docs.stablepay.global/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.stablepay.global/llms.txt
Use this file to discover all available pages before exploring further.
curl https://api.stablepay.global/v2/users/usr_abc123 \ -H "Authorization: Bearer YOUR_API_KEY"
{ "success": true, "data": { "user": { "id": "usr_abc123", "name": "Rahul Kumar", "mobile": "+919876543210", "email": "rahul@example.com", "status": "active", "createdAt": "2025-06-15T10:00:00Z" }, "kyc": { "level": "basic", "status": "verified", "pan": { "verified": true, "verifiedAt": "2025-06-15T10:05:00Z", "maskedNumber": "XXXX1234F" }, "aadhaar": { "verified": true, "verifiedAt": "2025-06-15T10:10:00Z", "maskedNumber": "XXXX XXXX 1234" }, "bank": { "verified": true, "verifiedAt": "2025-06-15T10:15:00Z", "ifsc": "HDFC0001234", "bankName": "HDFC Bank" } }, "bankAccounts": [ { "id": "ba_xyz789", "maskedAccountNumber": "XXXX1234", "ifsc": "HDFC0001234", "bankName": "HDFC Bank", "isPrimary": true, "verified": true } ] } }
NOT_FOUND